> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/catalog/merchants/{merchantId}/store-inventory/delete

> Used to publish a batch of store inventories to delete. The batch is processed asynchronously.



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json post /preview/retail-media/catalog/merchants/{merchantId}/store-inventory/delete
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/catalog/merchants/{merchantId}/store-inventory/delete:
    post:
      tags:
        - Catalog
      summary: >-
        /preview/retail-media/catalog/merchants/{merchantId}/store-inventory/delete
      description: >-
        Used to publish a batch of store inventories to delete. The batch is
        processed asynchronously.
      operationId: DeleteStoreInventoryPerMerchantId
      parameters:
        - name: merchantId
          in: path
          description: Identifies the merchant, can also be called partnerId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchStoreInventoryDeleteRequest'
        required: true
        x-bodyName: body
      responses:
        '204':
          description: Batch accepted.
          content:
            application/json: {}
      security:
        - oauth:
            - RetailMedia_Catalog_Manage
components:
  schemas:
    BatchStoreInventoryDeleteRequest:
      required:
        - data
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/DeleteEntry'
      description: Batch to plan removals in Store inventory
    DeleteEntry:
      required:
        - attributes
        - type
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/StoreInventoryDelete'
        type:
          enum:
            - Delete
          type: string
      description: Defines a reference to inventory
    StoreInventoryDelete:
      required:
        - batchId
        - productId
        - storeId
      type: object
      properties:
        batchId:
          type: string
          description: Identifies this array entry
        productId:
          type: string
          description: ' Identifies a product'
        storeId:
          type: string
          description: Identifies the store, for the customer
      description: References a store inventory to be deleted. See StoreInventoryUpsert
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````